Home » Php » php – trying to install FOSUserBundle but getting error

php – trying to install FOSUserBundle but getting error

Posted by: admin April 23, 2020 Leave a comment

Questions:

trying to install FOSUserBundle bundle from below link How to install 3rd party Bundles but getting this error :

[Symfony\Component\Config\Definition\Exception\InvalidConfigurationException]  
  The child node "db_driver" at path "fos_user" must be configured. 
How to&Answers:

You have forgotten to add the configuration for FOSUserBundle in your app/config/config.yml or at least did not provide a value for fos_user.db_driver.

You have to configure at least the db_driver , firewall and your user-class otherwise the configuration will throw an InvalidConfigurationException.

# app/config/config.yml
fos_user:
    db_driver: orm # other valid values are 'mongodb', 'couchdb' and 'propel'
    firewall_name: main
    user_class: Acme\UserBundle\Entity\User

Please see the documentation chapter Step 5: Configure the FOSUserBundle.

Answer:

I solve similar error by updating composer : /usr/local/bin/composer self-update.
May this help.